=== debian/control ===
Source: deepin-editor
Section: editors
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends: debhelper (>= 9), cmake, pkg-config, libqt5widgets5, libdtkcore-dev, libdtkwidget-dev, libpolkit-qt5-1-dev, libkf5syntaxhighlighting-dev, libkf5codecs-dev, qttools5-dev-tools, qtbase5-private-dev, libdframeworkdbus-dev, libgtest-dev, libgmock-dev
Standards-Version: 3.9.8
Homepage: https://www.deepin.org

Package: deepin-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dtk based text editor
 Text Editor is a simple text editing tool. 
 You can use it to write a simple text document, or make it a code editing tool with its advanced features which support code syntax highlighting.
